Skip to main content
DELETE
/
v1
/
installs
/
{installSid}
/
courseOfferings
/
{offeringSid}
Delete Course Offering
curl --request DELETE \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/courseOfferings/{offeringSid} \
  --header 'token: <api-key>'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Unique SID of the application install. Pattern: AI + 32 hex chars.

Pattern: ^AI[a-f0-9]{32}$
Example:

"AI1234567890abcdef1234567890abcdef"

offeringSid
string
required

Unique SID of the course offering to delete. Pattern: CO + 32 hex chars.

Pattern: ^CO[a-f0-9]{32}$
Example:

"CO1234567890abcdef1234567890abcdef"

Response

default - application/json

Successful

The response is of type string.